Subject: [Spridgets] Bugeye seat foams cushion

From: Alan via Spridgets <[email-masked]>
Date: Wed, 18 Nov 2020 20:37:53 -0500

I just had several pairs of new bugeye bottom seat foams produced from a commercial 
facility that sells large foam pads.
They took a foam from a bugeye I had here and made a template for me, then did the
first run of them for my approval.
They came out great and fit the seat pans perfectly.
I am selling them for $60 each if anyone is interested.
I can provide pictures if needed
Alan
Email me if interested 
Thanks

Sent from my iPad
------------------------

[email-masked]

Archive: http://www.team.net/pipermail/spridgets  http://autox.team.net/archive